### Function

# Secret password_searchv_sync

#### Declaration [src]

    GList*
    secret_password_searchv_sync (
      const SecretSchema* schema,
      GHashTable* attributes,
      SecretSearchFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Search for items in the secret service.

The `attributes` should be a set of key and value string pairs.

If no secret is found then `NULL` is returned.

This method may block indefinitely and should not be used in user interface threads.

Available since: | 0.19.0
This function is renamed to `secret_password_search_sync()` in language bindings

#### Parameters

`schema` | `SecretSchema`
| The schema for attributes.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`attributes` | `GHashTable`
| The attribute keys and values.
| The data is owned by the caller of the function.
`flags` | `SecretSearchFlags`
| Search option flags.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | A list of `None`
| A list of `SecretRetrievable` containing attributes of the matched items.
| The caller of the function takes ownership of the data, and is responsible for freeing it.